<?php if (! empty($data['CustomFields'])): ?>

    <?php $this->CustomFields = $this->loadHelper('EvCustomFields.CustomFields'); ?>
    <?php foreach ($data['CustomFields'] as $customFieldId => $field): ?>
        <?php if (! isset($field['Field']['is_active']) || (bool) $field['Field']['is_active'] === false):
            continue;
        endif; ?>

        <?php
            $attr = $this->CustomFields->cleanAttrArray($field['Field']);
            echo $this->Form->addField(
                'CustomFieldData.' . $customFieldId . '.FieldData.id',
                array(
                    'type' => 'hidden'
                )
            );

            if (! empty($cfValidationErrors)) {
                $errors = Hash::get($cfValidationErrors, '{n}.FieldData.value');
                if (! empty($errors)) {
                    $attr['error'] = implode(',', $errors);
                }
            }

            $attr['id'] = 'cf-' . $attr['id'];
            echo $this->Form->addField(
                'CustomFieldData.' . $customFieldId . '.FieldData.value',
                $attr
            );
        ?>

    <?php endforeach; ?>

<?php endif; ?>